## nova-lxd 0.18+git201512020918.146ccc8

=== debian/changelog ===
nova-lxd (0.18+git201512020918.146ccc8-0ubuntu1) xenial; urgency=medium

  [ Chuck Short ]
  * New upstream snapshot:
    - d/patches/*: Dropped no longer needed.
  * Rename package to nova-lxd inline with upstream (LP: #1516685):
    - d/control: src:nova-compute-lxd -> src:nova-lxd.
    - d/control: python-nova.lxd -> python-nova-lxd.

  [ James Page ]
  * d/nova-compute.conf: Update for switch from nclxd -> nova_lxd.
  * d/control: Add transitional package for python-nova.lxd ->
    python-nova-lxd.
  * d/control: Tidy dependencies, wrap-and-sort.
  * d/rules: Tidy.

 -- James Page <james.page@ubuntu.com>  Wed, 02 Dec 2015 10:19:36 +0000

nova-compute-lxd (0.18-0ubuntu6) xenial; urgency=medium

  * debian/patches/fix-image-upload-v0.22.patch: Fix FTBFS.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 01 Dec 2015 10:17:33 -0500

nova-compute-lxd (0.18-0ubuntu5) xenial; urgency=medium

  * debian/patches/fix-image-upload-v0.22.patch: Fix image uploading
    with version LXD 0.22 and above. (LP: #1521257)
  * debian/patches/fix-platform-uname.patch: Fix unit tests on 
    non-x86_64 arch (LP: #1521255)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Nov 2015 10:42:11 -0500

nova-compute-lxd (0.18-0ubuntu4) xenial; urgency=medium

  * debian/nova-compute-lxd.postinst: Add the nova user to the LXD group
    in postinstall. (LP: #1516640)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 16 Nov 2015 09:41:03 -0500

nova-compute-lxd (0.18-0ubuntu3) wily; urgency=medium

  * debian/patches/fix-container-migration.patch: Fix container resize
    and migration. (LP: #1507706)

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 18 Oct 2015 11:40:01 -0400

nova-compute-lxd (0.18-0ubuntu2) wily; urgency=medium

  * debian/patches/fix-snapshot-create.patch: Fix image creation
    when deploying from a snapshot. (LP: #1505842) 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 13 Oct 2015 18:57:35 -0400

nova-compute-lxd (0.18-0ubuntu1) wily; urgency=medium

  [ James Page ]
  * Drop all patches.
  * d/rules: Add helper for generating snapshots.
  * Enable unit test execution.

  [ Chuck Short ]
  * New upstream release. (LP: #1501975)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 01 Oct 2015 22:00:19 -0400

nova-compute-lxd (0.17-0ubuntu3) wily; urgency=medium

  * debian/patches/check-for-unix-sockets.patch: Check to see
    if we can use unix sockets before performing an action.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Sep 2015 00:19:00 -0400

nova-compute-lxd (0.17-0ubuntu2) wily; urgency=medium

  * debian/control:
    - Adjust build dependencies.
    - Adjust test dependencies.
  * debian/patches/adjust-image-properties.patch: Backport patch
    from upstream so that glanceclient and lxd syncs up. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Sep 2015 20:40:49 -0400

nova-compute-lxd (0.17-0ubuntu1) wily; urgency=medium

  * New upstream release. (LP: #1498110)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 21 Sep 2015 13:33:47 -0400

nova-compute-lxd (0.16-0ubuntu1) wily; urgency=medium

  * New upstream release. 
  * debian/patches/fix-container-setup.patch: Dropped no
    longer needed.
  * debian/control: Update dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 20 Aug 2015 14:33:49 -0400

nova-compute-lxd (0.5.1-0ubuntu2) vivid; urgency=medium

  * debian/patches/fix-container-setup.patch: Fix container setup
    with LXD 0.7. (LP: #1447128) 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Apr 2015 14:23:39 -0400

nova-compute-lxd (0.5.1-0ubuntu1) vivid; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 18 Apr 2015 20:52:45 -0400

nova-compute-lxd (0.5-0ubuntu2) vivid; urgency=medium

  * debian/patches/backport-fixes-from-master.patch: Backport miscalenous 
    fixes found during testing. (LP: #1439931)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 02 Apr 2015 22:50:56 -0400

nova-compute-lxd (0.5-0ubuntu1) vivid; urgency=low

  * Initial upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 25 Mar 2015 15:09:32 -0400

## nova-lxd 0.19.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6
Babel>=1.3
requests!=2.8.0,>=2.5.2
oslo.config>=2.7.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.utils>=2.8.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.12.0 # Apache-2.0

=== debian/changelog ===
nova-lxd (0.19.0-0ubuntu1) xenial; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Dec 2015 11:56:11 -0500

## nova-lxd 13.0.0~b2

=== debian/changelog ===
nova-lxd (13.0.0~b2-0ubuntu2) xenial; urgency=medium

  * debian/patche/fix-unit-tests.patch: Fix failing unit tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 18 Feb 2016 11:25:33 -0500

nova-lxd (13.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream release

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 18 Feb 2016 10:02:10 -0500

## nova-lxd 13.0.0~b3

=== debian/changelog ===
nova-lxd (13.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 07 Mar 2016 14:38:44 -0500

## nova-lxd 13.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
requests!=2.9.0,>=2.8.1 # Apache-2.0
oslo.config>=3.4.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.utils>=3.4.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0

# XXX: rockstar (17 Feb 2016) - oslo_config imports
# debtcollector, which imports this, but doesn't
# require it in dependencies.
wrapt==1.10.6

=== debian/changelog ===
nova-lxd (13.0.0-0ubuntu3) xenial; urgency=medium

  * debian/patches/fix-configdrive.patch: Fix instance
    launching with configdrive. (LP: #1571699) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 18 Apr 2016 11:21:09 -0400

nova-lxd (13.0.0-0ubuntu2) xenial; urgency=medium

  * debian/patches/fix-console-log.patch: Adjust console.log
    path so it doesnt leave a file open with LVM instances.
    (LP: #1569538)
  * debian/patches/update-disk-image-format.patch: Add
    backward compatibility for liberty. (LP: # 1569535) 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 12 Apr 2016 15:11:44 -0400

nova-lxd (13.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream relase, (LP: #1568095):
    - Dropped debian/patches/fix-block-detection.patch

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 08 Apr 2016 14:43:09 -0400

nova-lxd (13.0.0~b3-0ubuntu2) xenial; urgency=medium

  * debian/patches/fix-block-detection.patch: Disable
    disk quotas with LVM backend.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Mar 2016 15:33:05 -0500

## nova-lxd 13.2.0

=== requirements.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 pbr>=1.6 # Apache-2.0
 Babel>=1.3 # BSD
 requests!=2.9.0,>=2.8.1 # Apache-2.0
+pylxd==2.0.0
 oslo.config>=3.4.0 # Apache-2.0
 oslo.concurrency>=2.3.0 # Apache-2.0
 oslo.utils>=3.4.0 # Apache-2.0

=== debian/changelog ===
nova-lxd (13.2.0-0ubuntu1.16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: ensure correct application of security group rules.
    - d/p/host-device-naming.patch: Cherry pick fix to ensure that the
      host part of the veth pair used to wire LXD containers into neutron
      has the correct naming, resolving issues with application of
      neutron security group rules in container deployments (LP: #1656847).
    - CVE not yet assigned

 -- James Page <james.page@ubuntu.com>  Tue, 07 Feb 2017 17:06:46 +0100

nova-lxd (13.2.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for Openstack Mitaka (LP: #1649368, #1648056):
    - d/p/*: Dropped, no longer required as included upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 12 Dec 2016 13:35:03 -0500

nova-lxd (13.0.0-0ubuntu3.1) xenial; urgency=medium

  * d/p/bug1638027.patch: Cherry pick fix to ensure that LXD containers
    can be deleted by deleting the container and then its associated
    profile, fixing compatibility with later versions of 2.0.x LXD
    (LP: #1637620).

 -- James Page <james.page@ubuntu.com>  Mon, 31 Oct 2016 17:31:12 +0200

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE = 1

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p' | sed -e 's/^[[:digit:]]*://' -e 's/[-~+].*//')

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ostestr
endif

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=pybuild
	rm -rf .testrepository

BRANCH = master
DATE=$(shell date +%Y%m%d%H%M)
get-orig-snapshot:
	rm -Rf nova-lxd-upstream
	git clone https://github.com/lxc/nova-lxd nova-lxd-upstream
	cd nova-lxd-upstream && \
		export COMMIT=`git rev-parse --short HEAD` && \
		export UPSTREAM_VERSION=`grep version setup.cfg | cut -d ' ' -f 3` && \
		git archive --format tgz --prefix=nova-lxd-$$UPSTREAM_VERSION~git$(DATE)/ \
			-o ../../nova-lxd_$$UPSTREAM_VERSION~git$(DATE).$$COMMIT.orig.tar.gz $(BRANCH)
	rm -Rf nova-lxd-upstream

## nova-lxd 13.3.0

=== debian/changelog ===
nova-lxd (13.3.0-0ubuntu2) xenial; urgency=medium

  * d/p/01_bug-1675386-ensure-all-net-devices-added.diff:
    Returns all network devices to container (LP: #1675386)

 -- Alex Kavanagh <alex.kavanagh@canonical.com>  Thu, 31 May 2018 17:21:55 +0100

nova-lxd (13.3.0-0ubuntu1) xenial; urgency=medium

  * New upstream point release for Openstack Mitaka (LP: #1668313)
  * d/watch: Add watch file. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Feb 2017 14:43:44 -0500

=== debian/control ===
Source: nova-lxd
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-ddt (>= 0.7.0),
                     python-hacking (>= 0.9.2),
                     python-nova (>= 2:12.0.0~),
                     python-os-testr,
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.1.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pbr (>= 1.6),
                     python-pylxd (>= 0.18),
                     python-requests (>= 2.5.2),
                     python-subunit (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Homepage: http://github.com/lxd/nova-lxd

Package: nova-compute-lxd
Architecture: all
Depends: adduser,
         lxd,
         nova-compute,
         python-nova-lxd (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: nova-compute-hypervisor,
Conflicts: nova-compute-hypervisor,
Description: Openstack Compute - LXD container hypervisor support
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package provides common dependencies and setup for the LXD
 container hypervisor, providing a secure way to run instances as LXC
 containers under OpenStack.

Package: python-nova-lxd
Architecture: all
Depends: python-babel (>= 1.3),
         python-nova (>= 2:12.0.0~),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.1.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.6),
         python-pylxd (>= 0.18),
         python-requests (>= 2.5.2),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Compute Python libraries - LXD driver
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains the core Python parts of LXD driver.

Package: python-nova.lxd
Section: oldlibs
Architecture: all
Depends: python-nova-lxd,
         ${misc:Depends},
Description: transitional dummy package for python-nova.lxd
 This transitional package is safe to remove and use python-nova-lxd
 instead.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/nova-lxd/nova-lxd-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## nova-lxd 14.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=2.3.4 # BSD
requests>=2.10.0 # Apache-2.0
os-brick>=1.6.1 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
pylxd>=2.1.1 # Apache-2.0
pyOpenSSL>=0.14 # Apache-2.0

# XXX: rockstar (17 Feb 2016) - oslo_config imports
# debtcollector, which imports this, but doesn't
# require it in dependencies.
wrapt>=1.7.0 # BSD License

=== debian/changelog ===
nova-lxd (14.0.0-0ubuntu1) yakkety; urgency=medium

  * Final upstream release for OpenStack Newton.

 -- James Page <james.page@ubuntu.com>  Mon, 10 Oct 2016 18:16:56 +0100

nova-lxd (14.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Oct 2016 13:25:57 -0400

nova-lxd (14.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ Chuck Short ]
  * debian/nova-compute.conf: Update for new namespace.

  [ James Page ]
  * New upstream version.
  * d/control: Ensure minimum version of pylxd >= 2.0.3.

  [ Corey Bryant ]
  * d/:w: Remove unnecessary file named ":w".
  * d/watch: Add watch file so we can get orig tar file.
  * New upstream release for Openstack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Sep 2016 12:00:56 -0400

## nova-lxd 14.2.2

=== requirements.txt ===
--- 
+++ 
@@ -10,8 +10,8 @@
 oslo.concurrency>=3.8.0 # Apache-2.0
 oslo.utils>=3.16.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
-oslo.log>=3.11.0 # Apache-2.0
-pylxd>=2.1.1 # Apache-2.0
+oslo.log>=1.14.0 # Apache-2.0
+pylxd>=0.19.0 # Apache-2.0
 pyOpenSSL>=0.14 # Apache-2.0
 
 # XXX: rockstar (17 Feb 2016) - oslo_config imports

=== debian/changelog ===
nova-lxd (14.2.2-0ubuntu0.16.10.2~cloud0) xenial-newton; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 18 May 2017 21:09:39 +0000

nova-lxd (14.2.2-0ubuntu0.16.10.2) yakkety; urgency=medium

  * d/p/bug1691428-ocata.patch: Cherry pick fix to ensure that readonly
    flag for config-drive device is correctly passed to LXD
    (LP: #1691428).

 -- James Page <james.page@ubuntu.com>  Wed, 17 May 2017 11:12:17 +0100

nova-lxd (14.2.2-0ubuntu0.16.10.1) yakkety; urgency=medium

  * New upstream point release for Openstack Newton (LP: #1673411)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Apr 2017 11:51:59 -0400

nova-lxd (14.2.0-0ubuntu0.16.10.1) yakkety; urgency=medium

  * New upstream version for Openstack Newton. (LP: #1664306)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Mar 2017 09:56:57 -0500

nova-lxd (14.1.0-0ubuntu0.16.10.1) yakkety; urgency=medium

  * New upstream version for Openstack Newton (LP: #1649304, #1648056).

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 12 Dec 2016 10:06:01 -0500

nova-lxd (14.0.1-0ubuntu0.16.10.1) yakkety; urgency=medium

  * New upstream relase for Openstack Newton. (LP: #1642274)
  * debian/patches/fix-requirements.patch: Preserve the oslo.log
    requirements that Newton is released with.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 16 Nov 2016 09:01:49 -0500

=== debian/control ===
--- 
+++ 
@@ -8,25 +8,29 @@
                python-all,
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: python-babel (>= 1.3),
+Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-coverage (>= 3.6),
-                     python-ddt (>= 0.7.0),
+                     python-ddt (>= 1.0.1),
                      python-hacking (>= 0.9.2),
+                     python-nosexcover,
                      python-nova (>= 2:12.0.0~),
-                     python-os-testr,
-                     python-oslo.concurrency (>= 2.3.0),
-                     python-oslo.config (>= 1:2.1.0),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.log (>= 1.8.0),
-                     python-oslo.utils (>= 2.0.0),
-                     python-oslosphinx (>= 2.5.0),
+                     python-openssl (>= 0.14),
+                     python-os-brick (>= 1.6.1),
+                     python-os-testr (>= 0.7.0),
+                     python-oslo.concurrency (>= 3.8.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.log (>= 3.11.0),
+                     python-oslo.utils (>= 3.16.0),
+                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1:1.10.0),
                      python-pbr (>= 1.6),
-                     python-pylxd (>= 0.18),
-                     python-requests (>= 2.5.2),
+                     python-pylxd (>= 2.1.1),
+                     python-requests (>= 2.10.0),
                      python-subunit (>= 0.0.18),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
+                     python-wrapt (>= 1.7.0),
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
 Standards-Version: 3.9.6
@@ -63,16 +67,19 @@
 
 Package: python-nova-lxd
 Architecture: all
-Depends: python-babel (>= 1.3),
+Depends: python-babel (>= 2.3.4),
          python-nova (>= 2:12.0.0~),
-         python-oslo.concurrency (>= 2.3.0),
-         python-oslo.config (>= 1:2.1.0),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.log (>= 1.8.0),
-         python-oslo.utils (>= 2.0.0),
+         python-openssl (>= 0.14),
+         python-os-brick (>= 1.6.1),
+         python-oslo.concurrency (>= 3.8.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.log (>= 3.11.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.6),
-         python-pylxd (>= 0.18),
-         python-requests (>= 2.5.2),
+         python-pylxd (>= 2.1.1),
+         python-requests (>= 2.10.0),
+         python-wrapt (>= 1.7.0),
          ${misc:Depends},
          ${python:Depends},
 Description: OpenStack Compute Python libraries - LXD driver

## nova-lxd 15.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
os-brick>=1.8.0 # Apache-2.0
os-vif>=1.4.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
pylxd>=2.2.2 # Apache-2.0

# XXX: rockstar (17 Feb 2016) - oslo_config imports
# debtcollector, which imports this, but doesn't
# require it in dependencies.
#wrapt>=1.7.0 # BSD License

## nova-lxd 15.0.0%7edev44

=== requirements.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 
 pbr>=1.8 # Apache-2.0
 os-brick>=1.8.0 # Apache-2.0
-os-vif>=1.4.0 # Apache-2.0
+os-vif>=1.3.0 # Apache-2.0
 oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
 oslo.utils>=3.18.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=3.11.0 # Apache-2.0
-pylxd>=2.2.2 # Apache-2.0
+pylxd>=2.1.1 # Apache-2.0
 
 # XXX: rockstar (17 Feb 2016) - oslo_config imports
 # debtcollector, which imports this, but doesn't

## nova-lxd 15.0.1

=== debian/changelog ===
nova-lxd (15.0.1-0ubuntu1) zesty; urgency=medium

  * d/watch: Point to tarballs.openstack.org 
  * New upstream point release for OpenStack Ocata.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 05 Apr 2017 09:24:30 -0400

nova-lxd (15.0.0-0ubuntu1) zesty; urgency=medium

  * d/watch: Point to pypi. 
  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 16:05:28 -0500

nova-lxd (15.0.0~rc1-0ubuntu2) zesty; urgency=medium

  * d/control: Fix build dependency. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 14 Feb 2017 08:10:33 -0500

nova-lxd (15.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 13 Feb 2017 14:39:32 -0500

nova-lxd (15.0.0~dev44-0ubuntu1) zesty; urgency=medium

  * New upstream release (LP: #1648056).

 -- James Page <james.page@ubuntu.com>  Thu, 15 Dec 2016 11:30:53 +0000

nova-lxd (14.0.1-0ubuntu1) zesty; urgency=medium

  * New usptream release for Openstack Newton.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 16 Nov 2016 11:33:33 -0500

=== debian/control ===
--- 
+++ 
@@ -8,31 +8,24 @@
                python-all,
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: python-babel (>= 2.3.4),
-                     python-coverage (>= 3.6),
+Build-Depends-Indep: python-coverage (>= 4.0),
                      python-ddt (>= 1.0.1),
-                     python-hacking (>= 0.9.2),
+                     python-nova  (>= 2:15.0.0~rc1~),
                      python-nosexcover,
-                     python-nova (>= 2:12.0.0~),
-                     python-openssl (>= 0.14),
-                     python-os-brick (>= 1.6.1),
-                     python-os-testr (>= 0.7.0),
+                     python-os-brick (>= 1.8.0),
+                     python-os-testr (>= 0.8.0),
+                     python-os-vif (>= 1.4.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 3.11.0),
-                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.utils (>= 3.18.0),
                      python-oslosphinx (>= 4.7.0),
-                     python-oslotest (>= 1:1.10.0),
-                     python-pbr (>= 1.6),
-                     python-pylxd (>= 2.1.1),
-                     python-requests (>= 2.10.0),
-                     python-subunit (>= 0.0.18),
+                     python-oslotest (>= 1.10.0),
+                     python-pylxd (>= 2.2.2),
+                     python-testrepository (>= 0.0.18),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
-                     python-wrapt (>= 1.7.0),
-                     subunit (>= 0.0.18),
-                     testrepository (>= 0.0.18),
 Standards-Version: 3.9.6
 Homepage: http://github.com/lxd/nova-lxd
 
@@ -43,7 +36,7 @@
          nova-compute,
          python-nova-lxd (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Provides: nova-compute-hypervisor,
 Conflicts: nova-compute-hypervisor,
 Description: Openstack Compute - LXD container hypervisor support
@@ -67,21 +60,16 @@
 
 Package: python-nova-lxd
 Architecture: all
-Depends: python-babel (>= 2.3.4),
-         python-nova (>= 2:12.0.0~),
-         python-openssl (>= 0.14),
-         python-os-brick (>= 1.6.1),
+Depends: python-os-brick (>= 1.6.1),
+         python-os-vif (>= 1.4.0),
          python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.14.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.11.0),
+         python-oslo.log (>= 3.14.0),
          python-oslo.utils (>= 3.16.0),
-         python-pbr (>= 1.6),
          python-pylxd (>= 2.1.1),
-         python-requests (>= 2.10.0),
-         python-wrapt (>= 1.7.0),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Compute Python libraries - LXD driver
  OpenStack is a reliable cloud infrastructure. Its mission is to produce
  the ubiquitous cloud computing platform that will meet the needs of public
@@ -102,8 +90,7 @@
 Package: python-nova.lxd
 Section: oldlibs
 Architecture: all
-Depends: python-nova-lxd,
-         ${misc:Depends},
+Depends: python-nova-lxd, python-os-vif (>= 1.4.0), ${misc:Depends}
 Description: transitional dummy package for python-nova.lxd
  This transitional package is safe to remove and use python-nova-lxd
  instead.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
 http://tarballs.openstack.org/nova-lxd/ nova-lxd-(\d.*)\.tar\.gz

## nova-lxd 15.0.2

=== requirements.txt ===
--- 
+++ 
@@ -2,15 +2,15 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=1.8 # Apache-2.0
+pbr<2.0.0,>=1.8 # Apache-2.0
 os-brick>=1.8.0 # Apache-2.0
-os-vif>=1.3.0 # Apache-2.0
+os-vif>=1.4.0 # Apache-2.0
 oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
 oslo.utils>=3.18.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=3.11.0 # Apache-2.0
-pylxd>=2.1.1 # Apache-2.0
+pylxd>=2.2.2 # Apache-2.0
 
 # XXX: rockstar (17 Feb 2016) - oslo_config imports
 # debtcollector, which imports this, but doesn't

=== debian/changelog ===
nova-lxd (15.0.2-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 16 Jun 2017 14:50:15 +0000

nova-lxd (15.0.2-0ubuntu1) zesty; urgency=medium

  * New upstream stable release for Openstack Ocata, including fix
    for LXD storage pool support (LP: #1692962).
  * d/p/*: Dropped, all upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jun 2017 16:03:37 +0100

nova-lxd (15.0.1-0ubuntu1.1) zesty; urgency=medium

  * d/p/bug1691428-ocata.patch: Cherry pick fix to ensure that readonly
    flag for config-drive device is correctly passed to LXD
    (LP: #1691428).

 -- James Page <james.page@ubuntu.com>  Wed, 17 May 2017 11:09:51 +0100

## nova-lxd 16.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
os-brick>=1.15.2 # Apache-2.0
os-vif>=1.7.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
pylxd>=2.2.2 # Apache-2.0

# XXX: rockstar (17 Feb 2016) - oslo_config imports
# debtcollector, which imports this, but doesn't
# require it in dependencies.
#wrapt>=1.7.0 # BSD License

=== debian/changelog ===
nova-lxd (16.0.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 30 Aug 2017 17:24:23 +0000

nova-lxd (16.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 16:54:27 +0100

nova-lxd (16.0.0~b2~git20170825.e968708f-0ubuntu1) artful; urgency=medium

  * New upstream snapshot for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Aug 2017 09:45:21 -0400

nova-lxd (16.0.0~b2~git20170524.5223204-0ubuntu1) artful; urgency=medium

  * New upstream snapshot resolving compatibility issues with LXD >= 2.12
    (LP: #1692962).
  * d/p/*: Dropped, all upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 24 May 2017 09:39:57 +0100

nova-lxd (16.0.0~b1-0ubuntu2) artful; urgency=medium

  * d/p/bug1691428-pike.patch: Cherry pick fix to ensure that readonly
    flag for config-drive device is correctly passed to LXD
    (LP: #1691428).

 -- James Page <james.page@ubuntu.com>  Wed, 17 May 2017 11:07:27 +0100

nova-lxd (16.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Apr 2017 10:20:25 +0100

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,28 @@
                dh-python,
                openstack-pkg-tools (>= 23~),
                python-all,
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: python-coverage (>= 4.0),
                      python-ddt (>= 1.0.1),
                      python-nova  (>= 2:15.0.0~rc1~),
                      python-nosexcover,
-                     python-os-brick (>= 1.8.0),
+                     python-os-brick (>= 1.15.2),
                      python-os-testr (>= 0.8.0),
-                     python-os-vif (>= 1.4.0),
+                     python-os-vif (>= 1.7.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.config (>= 1:4.0.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 3.11.0),
-                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
                      python-pylxd (>= 2.2.2),
                      python-testrepository (>= 0.0.18),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
+                     python-wsgi-intercept (>= 1.4.1),
 Standards-Version: 3.9.6
 Homepage: http://github.com/lxd/nova-lxd
 
@@ -60,13 +62,13 @@
 
 Package: python-nova-lxd
 Architecture: all
-Depends: python-os-brick (>= 1.6.1),
-         python-os-vif (>= 1.4.0),
+Depends: python-os-brick (>= 1.15.2),
+         python-os-vif (>= 1.7.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.14.0),
+         python-oslo.config (>= 1:4.0.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 3.14.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.utils (>= 3.20.0),
          python-pylxd (>= 2.1.1),
          ${misc:Depends},
          ${python:Depends}
@@ -90,7 +92,7 @@
 Package: python-nova.lxd
 Section: oldlibs
 Architecture: all
-Depends: python-nova-lxd, python-os-vif (>= 1.4.0), ${misc:Depends}
+Depends: python-nova-lxd, python-os-vif (>= 1.7.0), ${misc:Depends}
 Description: transitional dummy package for python-nova.lxd
  This transitional package is safe to remove and use python-nova-lxd
  instead.

## nova-lxd 17.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
os-brick>=2.2.0 # Apache-2.0
os-vif!=1.8.0,>=1.7.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
pylxd>=2.2.4 # Apache-2.0

# XXX: rockstar (17 Feb 2016) - oslo_config imports
# debtcollector, which imports this, but doesn't
# require it in dependencies.
#wrapt>=1.7.0 # BSD License

=== debian/changelog ===
nova-lxd (17.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Mar 2018 17:25:38 +0000

nova-lxd (17.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate.

 -- James Page <james.page@ubuntu.com>  Fri, 23 Feb 2018 14:54:03 +0000

nova-lxd (17.0.0~b1~git20180221.16d06d1-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot in preparation for release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to using python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Feb 2018 13:42:57 +0000

nova-lxd (17.0.0~b1~git20171218.1440684-0ubuntu1) bionic; urgency=medium

  * d/control,copyright: Update upstream source location (LP: #1720533).
  * New upstream snapshot for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Dec 2017 10:50:33 +0000

=== debian/control ===
Source: nova-lxd
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-nosexcover,
 python-nova  (>= 2:17.0.0~),
 python-os-brick (>= 2.1.1),
 python-os-testr (>= 1.0.0),
 python-os-vif (>= 1.7.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1.10.0),
 python-pylxd (>= 2.2.2),
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-wsgi-intercept (>= 1.4.1),
Standards-Version: 4.1.2
Homepage: http://github.com/openstack/nova-lxd

Package: nova-compute-lxd
Architecture: all
Depends:
 adduser,
 lxd,
 nova-compute,
 python-nova-lxd (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Provides:
 nova-compute-hypervisor,
Conflicts:
 nova-compute-hypervisor,
Description: Openstack Compute - LXD container hypervisor support
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package provides common dependencies and setup for the LXD
 container hypervisor, providing a secure way to run instances as LXC
 containers under OpenStack.

Package: python-nova-lxd
Architecture: all
Depends:
 python-os-brick (>= 2.1.1),
 python-os-vif (>= 1.7.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-pylxd (>= 2.1.1),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Compute Python libraries - LXD driver
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains the core Python parts of LXD driver.

Package: python-nova.lxd
Section: oldlibs
Architecture: all
Depends:
 python-nova-lxd,
 python-os-vif (>= 1.7.0),
 ${misc:Depends},
Description: transitional dummy package for python-nova.lxd
 This transitional package is safe to remove and use python-nova-lxd
 instead.

=== debian/watch ===
version=3
opts=uversionmangle=s/\.0(rc|a|b|c)/~$1/ \
 http://tarballs.openstack.org/nova-lxd/ nova-lxd-(\d.*)\.tar\.gz

## nova-lxd 17.0.1

=== debian/changelog ===
nova-lxd (17.0.1-0ubuntu1~cloud0) xenial-queens; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 31 Aug 2018 04:25:08 +0000

nova-lxd (17.0.1-0ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Create stable/queens branch.
  * New upstream stable point release for OpenStack Queens (LP: #1789427).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Aug 2018 10:15:13 -0400

## nova-lxd 18.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=3.1.1 # Apache-2.0
os-brick>=2.3.0 # Apache-2.0
os-vif!=1.8.0,>=1.9.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.utils>=3.36.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=3.37.0 # Apache-2.0
pylxd>=2.2.6 # Apache-2.0

# XXX: rockstar (17 Feb 2016) - oslo_config imports
# debtcollector, which imports this, but doesn't
# require it in dependencies.
#wrapt>=1.7.0 # BSD License

=== debian/changelog ===
nova-lxd (18.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Sep 2018 09:19:31 -0600

nova-lxd (18.0.0~rc2-0ubuntu2) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control, d/nova-*.install: Move common files to nova-lxd-common. Only
      have python(3)-nova-lxd depend on nova-lxd-common.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Sep 2018 16:21:41 -0400

nova-lxd (18.0.0~rc2-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Sep 2018 11:50:21 -0400

nova-lxd (18.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Aug 2018 11:33:18 -0400

nova-lxd (18.0.0~a1~git2018081619.bc8d540-0ubuntu1) cosmic; urgency=medium

  * Add Python 3 support:
    - d/control: Update BD's.
    - d/control: Add python3-nova-lxd package.
    - d/rules: Execute test suite under py3, add --with python3.
    - d/python{3}-nova-lxd.install: Specialize for python versions.
  * New upstream snapshot for OpenStack Rocky.
  * d/control: extra->optional.

 -- James Page <james.page@ubuntu.com>  Mon, 20 Aug 2018 10:09:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,58 @@
 Source: nova-lxd
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends:
  debhelper (>= 9~),
  dh-python,
  openstack-pkg-tools (>= 23~),
  python-all,
- python-pbr (>= 2.0.0),
+ python-pbr (>= 3.1.1),
  python-setuptools,
- python3-sphinx,
+ python3-all,
+ python3-pbr (>= 3.1.1),
+ python3-setuptools,
+ python3-sphinx (>= 1.6.5),
 Build-Depends-Indep:
- python-coverage (>= 4.0),
+ python-coverage (>= 4.5.1),
  python-ddt (>= 1.0.1),
- python-nosexcover,
+ python-nosexcover (>= 1.0.11),
  python-nova  (>= 2:17.0.0~),
- python-os-brick (>= 2.1.1),
+ python-os-brick (>= 2.3.0),
  python-os-testr (>= 1.0.0),
- python-os-vif (>= 1.7.0),
- python-oslo.concurrency (>= 3.25.0),
- python-oslo.config (>= 1:5.1.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.utils (>= 3.33.0),
- python-oslosphinx (>= 4.7.0),
- python-oslotest (>= 1.10.0),
- python-pylxd (>= 2.2.2),
- python-testrepository (>= 0.0.18),
+ python-os-vif (>= 1.9.0),
+ python-oslo.concurrency (>= 3.26.0),
+ python-oslo.config (>= 1:5.2.0),
+ python-oslo.i18n (>= 3.20.0),
+ python-oslo.log (>= 3.37.0),
+ python-oslo.utils (>= 3.36.0),
+ python-oslosphinx (>= 4.18.0),
+ python-oslotest (>= 1:3.3.0),
+ python-pylxd (>= 2.2.6),
+ python-stestr (>= 1.0.0),
+ python-testrepository (>= 0.0.20),
  python-testscenarios (>= 0.4),
- python-testtools (>= 2.2.0),
+ python-testtools (>= 2.3.0),
  python-wsgi-intercept (>= 1.4.1),
+ python3-ddt (>= 1.0.1),
+ python3-nosexcover (>= 1.0.11),
+ python3-nova  (>= 2:17.0.0~),
+ python3-os-brick (>= 2.3.0),
+ python3-os-testr (>= 1.0.0),
+ python3-os-vif (>= 1.9.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.i18n (>= 3.20.0),
+ python3-oslo.log (>= 3.37.0),
+ python3-oslo.utils (>= 3.36.0),
+ python3-oslosphinx (>= 4.18.0),
+ python3-oslotest (>= 1:3.3.0),
+ python3-pylxd (>= 2.2.6),
+ python3-stestr (>= 1.0.0),
+ python3-testrepository (>= 0.0.20),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.3.0),
+ python3-wsgi-intercept (>= 1.4.1),
 Standards-Version: 4.1.2
 Homepage: http://github.com/openstack/nova-lxd
 
@@ -39,9 +62,8 @@
  adduser,
  lxd,
  nova-compute,
- python-nova-lxd (= ${binary:Version}),
+ python-nova-lxd (= ${binary:Version}) | python3-nova-lxd (= ${binary:Version}),
  ${misc:Depends},
- ${python:Depends},
 Provides:
  nova-compute-hypervisor,
 Conflicts:
@@ -68,14 +90,15 @@
 Package: python-nova-lxd
 Architecture: all
 Depends:
- python-os-brick (>= 2.1.1),
- python-os-vif (>= 1.7.0),
- python-oslo.concurrency (>= 3.25.0),
- python-oslo.config (>= 1:5.1.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.utils (>= 3.33.0),
- python-pylxd (>= 2.1.1),
+ nova-lxd-common (= ${binary:Version}),
+ python-os-brick (>= 2.3.0),
+ python-os-vif (>= 1.9.0),
+ python-oslo.concurrency (>= 3.26.0),
+ python-oslo.config (>= 1:5.2.0),
+ python-oslo.i18n (>= 3.20.0),
+ python-oslo.log (>= 3.37.0),
+ python-oslo.utils (>= 3.36.0),
+ python-pylxd (>= 2.2.6),
  ${misc:Depends},
  ${python:Depends},
 Description: OpenStack Compute Python libraries - LXD driver
@@ -93,7 +116,38 @@
  (SQLite, MySQL, and PostgreSQL, for instance), different types of user
  databases (LDAP or SQL), etc.
  .
- This package contains the core Python parts of LXD driver.
+ This package contains the Python 2 module for the LXD driver.
+
+Package: python3-nova-lxd
+Architecture: all
+Depends:
+ nova-lxd-common (= ${binary:Version}),
+ python3-os-brick (>= 2.3.0),
+ python3-os-vif (>= 1.9.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.i18n (>= 3.20.0),
+ python3-oslo.log (>= 3.37.0),
+ python3-oslo.utils (>= 3.36.0),
+ python3-pylxd (>= 2.2.6),
+ ${misc:Depends},
+ ${python3:Depends},
+Description: OpenStack Compute Python libraries - LXD driver
+ OpenStack is a reliable cloud infrastructure. Its mission is to produce
+ the ubiquitous cloud computing platform that will meet the needs of public
+ and private cloud providers regardless of size, by being simple to implement
+ and massively scalable.
+ .
+ OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
+ addition to its "native" API (the OpenStack API), it also supports the Amazon
+ EC2 API.
+ .
+ Nova is intended to be modular and easy to extend and adapt. It supports many
+ different hypervisors (KVM and Xen to name a few), different database backends
+ (SQLite, MySQL, and PostgreSQL, for instance), different types of user
+ databases (LDAP or SQL), etc.
+ .
+ This package contains the Python 3 module for the LXD driver.
 
 Package: python-nova.lxd
 Section: oldlibs
@@ -105,3 +159,28 @@
 Description: transitional dummy package for python-nova.lxd
  This transitional package is safe to remove and use python-nova-lxd
  instead.
+
+Package: nova-lxd-common
+Architecture: all
+Depends:
+ ${misc:Depends},
+Breaks:
+  nova-compute-lxd (<< 18.0.0~rc2-0ubuntu2~),
+Replaces:
+  nova-compute-lxd (<< 18.0.0~rc2-0ubuntu2~),
+Description: Openstack Compute - Common files
+ OpenStack is a reliable cloud infrastructure. Its mission is to produce
+ the ubiquitous cloud computing platform that will meet the needs of public
+ and private cloud providers regardless of size, by being simple to implement
+ and massively scalable.
+ .
+ OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
+ addition to its "native" API (the OpenStack API), it also supports the Amazon
+ EC2 API.
+ .
+ Nova is intended to be modular and easy to extend and adapt. It supports many
+ different hypervisors (KVM and Xen to name a few), different database backends
+ (SQLite, MySQL, and PostgreSQL, for instance), different types of user
+ databases (LDAP or SQL), etc.
+ .
+ This package provides common files.

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,12 @@
 export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p' | sed -e 's/^[[:digit:]]*://' -e 's/[-~+].*//')
 
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	ostestr
+	PYTHON=python2.7 ostestr
+	PYTHON=python3.6 ostestr
 endif
 
 override_dh_auto_clean:
